blk_sync_queue
Prev | Chapter 17. Block Devices | Next

## Name

blk_sync_queue — cancel any pending callbacks on a queue

## Synopsis

`void blk_sync_queue (` | struct request_queue * | q`)`;

## Arguments

`q`

  the queue

## Description

The block layer may perform asynchronous callback activity on a queue, such as calling the unplug function after a timeout. A block device may call blk_sync_queue to ensure that any such activity is cancelled, thus allowing it to release resources that the callbacks might use. The caller must already have made sure that its ->make_request_fn will not re-add plugging prior to calling this function.

Prev | Up | Next
blk_stop_queue | Home | blk_run_queue